<?php

namespace App\Models;

use App\Models\Pages\Factory as PagesFactory;

class Factory
{

    private ?PagesFactory $pagesFactory = null;

    public function getPagesFactory(): PagesFactory
    {
        if ($this->pagesFactory) {
            return $this->pagesFactory;
        }
        $this->pagesFactory = new PagesFactory();
        $this->pagesFactory->setModelsFactory($this);
        return $this->pagesFactory;
    }
}
